package com.op.file.service;

import java.io.InputStream;

import org.springframework.web.multipart.MultipartFile;

/**
 * 文件上传接口
 *
 * @author OP
 */
public interface ISysFileService {
	/**
	 * 文件上传接口
	 *
	 * @param file 上传的文件
	 * @return 访问地址
	 * @throws Exception
	 */
	public String uploadFile(MultipartFile file) throws Exception;

	public InputStream searchGridFs(String id);

//	public String imageUpload(MultipartFile file) throws Exception;

	public byte[] imageOnline(String imageId);
}
